| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DirectDetectionDevice Class Reference
[Common Plugin Classes]

Description of DirectDraw device. More...

`#include <csplugincommon/directx/directdetection.h>`

List of all members.

## Public Member Functions
| DirectDetectionDevice (const DirectDetectionDevice &other)
| DirectDetectionDevice ()
| ~DirectDetectionDevice ()
## Public Attributes
char * | DeviceDescription2D
| Description of device.
char * | DeviceName2D
| Name of device.
GUID | Guid2D
| Guid for DirectDraw device.
bool | IsPrimary2D
| Is a primary ddraw device ?
bool | Windowed
| Can enable windowed mode for graphics ?

## Detailed Description

Description of DirectDraw device.

Definition at line 35 of file directdetection.h.

## Member Data Documentation

char* DirectDetectionDevice::DeviceDescription2D

Description of device.

Definition at line 65 of file directdetection.h.

Referenced by DirectDetectionDevice().

char* DirectDetectionDevice::DeviceName2D

Name of device.

Definition at line 63 of file directdetection.h.

Referenced by DirectDetectionDevice().

GUID DirectDetectionDevice::Guid2D

Guid for DirectDraw device.

Definition at line 57 of file directdetection.h.

Referenced by DirectDetectionDevice().

bool DirectDetectionDevice::IsPrimary2D

Is a primary ddraw device ?

Definition at line 61 of file directdetection.h.

bool DirectDetectionDevice::Windowed

Can enable windowed mode for graphics ?

Definition at line 59 of file directdetection.h.

The documentation for this class was generated from the following file:

- csplugincommon/directx/directdetection.h